### Method

# Gimp Image resize_to_layers

since: 2.2

#### Declaration [src]

    gboolean
    gimp_image_resize_to_layers (
      GimpImage* image
    )

#### Description [src]

Resize the image to fit all layers.

This procedure resizes the image to the bounding box of all layers of the image. All channels within the image are resized to the new size; this includes the image selection mask. All layers within the image are repositioned to the new image area.

Available since: 2.2

#### Return value

Type: `gboolean`

TRUE on success.